about summary refs log tree commit diff
path: root/pkgs/development/compilers/manticore/builder.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/development/compilers/manticore/builder.sh')
-rwxr-xr-xpkgs/development/compilers/manticore/builder.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/pkgs/development/compilers/manticore/builder.sh b/pkgs/development/compilers/manticore/builder.sh
new file mode 100755
index 000000000000..8fb4ab850eb1
--- /dev/null
+++ b/pkgs/development/compilers/manticore/builder.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+source $stdenv/setup
+echo "Building Manticore research compiler."
+set -xe
+
+PATH=$smlnj/bin:$PATH
+
+mkdir -p $out/bin
+
+# Manticore seems to use the MLB files from the build tree,
+# so for now we copy the whole build tree into the store:
+cd $out/
+tar xf $src
+mv manticore* repo_checkout
+cd repo_checkout/
+# TODO: At the very least, this could probably be cut down to a subset
+# of the repo.
+
+${autoconf}/bin/autoheader -Iconfig
+${autoconf}/bin/autoconf -Iconfig
+./configure --prefix=$out
+make build -j
+make install